Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453950 - vpnc 0.4.0 unable to connect to Cisco VPN concentrator
Summary: vpnc 0.4.0 unable to connect to Cisco VPN concentrator
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: vpnc
Version: el5
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Huzaifa S. Sidhpurwala
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: ActualBug
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-03 13:47 UTC by Brian Long
Modified: 2010-02-09 03:58 UTC (History)
2 users (show)

Fixed In Version: 0.5.3-6.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-09 03:58:08 UTC


Attachments (Terms of Use)

Description Brian Long 2008-07-03 13:47:04 UTC
Description of problem:
When IOS is upgraded from 12.4(11)T to 12.4(15)T, vpnc 0.4.0 will not connect. 
It gives the error:
vpnc: response was invalid [2]:  (ISAKMP_N_INVALID_PAYLOAD_TYPE)(1)

This is discussed in online forums and vpnc 0.5.1 seems to fix the issue.  I'm
running 0.5.1 on Fedora 9 and I can connect with vpnc, but vpnc 0.4.0 on RHEL 5
will not connect.  Please update Fedora EPEL vpnc to the latest version.

Version-Release number of selected component (if applicable):
vpnc-0.4.0-2.el5

How reproducible:
Always

Steps to Reproduce:
1. Upgrade IOS to 12.4(15)T
2. Try connecting with vpnc 0.4.0
  
Actual results:
Fails

Expected results:
vpnc 0.5.1 connects fine.

Additional info:

Comment 1 Huzaifa S. Sidhpurwala 2010-01-05 11:09:52 UTC
Hi Brian,
https://admin.fedoraproject.org/updates/vpnc-0.5.3-6.el5
Can you test this and let me know if it works please?

Comment 2 Fedora Update System 2010-01-05 22:30:18 UTC
vpnc-0.5.3-6.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update vpnc'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2010-0008

Comment 3 Fedora Update System 2010-02-09 03:57:58 UTC
vpnc-0.5.3-6.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.